> For the complete documentation index, see [llms.txt](https://docs.chord.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chord.co/chord-oms/developer-tools/authentication/chord-platform-and-okta-sso-integration-cloned.md).

# Chord Platform and Okta SSO Integration

## Chord Platform and Okta SSO Integration

Welcome to the Chord Platform SSO integration guide.

This will cover the basic understanding of the integration of Okta and the SSO flow and go through the setup process step by step.

### Architecture Diagram

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-87036524d2c503d41d2665468de803bccb0b629f%2Fchord-platform-and-okta-sso-integration-cloned-1.jpg?alt=media)

### User flow

1. The user logs into IdP (e.g. Okta) dashboard and selects the Chord application.
2. Okta servers request that the user authenticate the login.
3. On success, the user is redirected to the data platform.
4. The Chord data platform validates the session information from the IdP and logs the user in.

### Sequence Diagram

![Sequence Diagram](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-38d350f69463761ca31b2eb5767325a62f71d7cc%2Fchord-platform-and-okta-sso-integration-cloned-2.jpg?alt=media)

## Setup Guide

### Receive the two configuration settings from Chord

1. **ACS URL:** XXXXXXXXX
2. **Audience URI:** XXXXXXXXX

### Create and configure a new Okta Application

1. Log into okta.com and click Create App Integration in the Applications tab:

   ![Create Applicaiton](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-dbab22d935a9426d577a374d9f93adea64edd14c%2Fchord-platform-and-okta-sso-integration-cloned-3.png?alt=media)
2. Select **SAML 2.0**.
3. In the **General Settings** form, enter "Chord Hub".
   * If integrating on the Chord data platform's staging instance, append" - Staging" to the name.
   * The icon below can be downloaded and uploaded for the Chord application:

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-68398cb73deda3686e05b7114ec1df1f10c58221%2Fchord-platform-and-okta-sso-integration-cloned-4.png?alt=media) 4. In the **Configure SAML** form, use these steps for the following fields:

* **Single sign-on URL**: Enter the `acs_url` value from the Chord configuration.
* "Use this for Recipient URL and Destination URL\*\*"\*\* should remain checked.
* "Use this for Recipient URL and Destination URL" should remain checked.
* Audience URI (SP Entity ID): Enter the audience\_uri value from the Chord configuration.
* Default RelayState: This value can remain blank.
* " Name ID format: Select ”EmailAddress".
* "Application username: Select “Email"
* Attribute Statements: Create these two:

  * Name: firstName; Name format: Basic; Value: user.firstName
  * Name: lastName; Name format: Basic; Value: user.lastName

  ![Configure SAML](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-a923a8848cc9f6d847d0640582d57d6365817a55%2Fchord-platform-and-okta-sso-integration-cloned-5.png?alt=media)

5. There may be a feedback form on the next step, which can be ignored. Then click "Finish. "

### View and send Chord your SAML setup setup instructions

1\. Click the **View SAML setup instructions** button on the **Sign On** tab of your newly created Okta application:

![View SAML setup instructions](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-f1b63d14f1130a564c6061f02031cd2ec0b961d1%2Fchord-platform-and-okta-sso-integration-cloned-6.png?alt=media)

2\. Send Chord the following values from the setup instructions page:

1. **Identity Provider Single Sign-On URL**
2. **Identity Provider Issuer**
3. **X.509 Certificate** (including the BEGIN\_CERTIFICATE and END\_CERTIFICATE lines)

### Provision access to the Chord Application

On the **Assignments** tab under your application in Okta, assign the application to team members who should have access to it by clicking **Assign**:

![Assignment button](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-c007d1100d402a52e4d67e120109d8de67b4ef6d%2Fchord-platform-and-okta-sso-integration-cloned-7.png?alt=media)

### Test SSO integration after confirmation from Chord

The Okta user dashboard should show the Chord Application. Please test the integration by clicking the application to sign in to Chord.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chord.co/chord-oms/developer-tools/authentication/chord-platform-and-okta-sso-integration-cloned.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
